1. Contact
Hatif
  • Account API
    • Service Login
      POST
  • Channels API
    • Get Channels
      GET
  • Whatsapp API
    • Send Text
      POST
    • Send Template
      POST
  • Contact
    • Set Property Value on Contact
      PUT
    • Search Contacts [Complex]
      POST
    • Delete Property Value on Contact
      DELETE
    • Create Contact
      POST
    • Update Contact
      PUT
    • Get Contacts
      GET
    • Get Contact By Id
      GET
    • Delete Contact
      DELETE
    • Create Bulk Contacts vCards
      POST
    • Create Contact
      POST
    • Get Contacts Search
      POST
    • Contacts History
      GET
  • Contact Properties
    • List Contact Properties
      GET
    • Delete Contact Property
      DELETE
    • Update Contact Property
      PUT
    • Create Contact Property
      POST
    • Contact Properties Statistics
      GET
  • Support API
    • Upload Audio File
      POST
  • Outbound IVR API
    • Create Outbound IVR
      POST
  • Workspace API
    • Get Workspace Users
  • Conversations API
    • Get Conversation Timeline
    • List Conversations
    • Create Conversation
    • Assign Conversation
    • Get Conversation
  • Tags API
    • Create Tag
    • Delete Tag
    • Update Tag
    • List Tags
  • Call Webhook
  • WhatsApp Message Webhook
  • Schemas
    • Call Webhook
    • WhatsApp Message Webhook
    • ConversationDto
    • CreateTagDto
    • ChannelConversationDto
    • UpdateTagDto
    • TagDto
    • ConversationTimelineDto
    • PagedResultOfTagDto
    • AiSummaryDto
    • ReplyInfoDto
    • InternalThreadDto
    • LocationMessageDto
    • AssignationInfoDto
    • PagedResultOfConversationDto
    • PagedResultOfConversationTimelineDto
  1. Contact

Search Contacts [Complex]

POST
/v1/contacts/search

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.voxa.sa/v1/contacts/search' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "skipCount": 0,
    "maxResultCount": 10,
    "customPropertyFilters": [
      {
        "propertyDefinitionId": "3a1d7c79-903d-73b4-c400-1fe5df9828e5",
        "operator": 1,
        "value": "Lead"
      }
    ]
  }'
Response Response Example
{
    "totalCount": 0,
    "items": [
        {
            "workspaceId": "string",
            "name": "string",
            "phoneNumber": "string",
            "contactType": 0,
            "email": "string",
            "company": "string",
            "position": "string",
            "customFields": {
                "ww": null
            },
            "notes": [
                {
                    "contactId": "string",
                    "text": "string",
                    "creatorName": "string",
                    "lastModificationTime": null,
                    "lastModifierId": null,
                    "creationTime": "string",
                    "creatorId": "string",
                    "id": "string"
                }
            ],
            "customProperties": [
                {
                    "propertyDefinitionId": "string",
                    "propertyName": "string",
                    "propertyType": 0,
                    "textValue": null,
                    "numberValue": null,
                    "dateValue": null,
                    "selectValue": "string"
                }
            ],
            "lastModificationTime": "string",
            "lastModifierId": "string",
            "creationTime": "string",
            "creatorId": "string",
            "id": "string"
        }
    ]
}
Modified at 2026-02-11 22:55:55
Previous
Set Property Value on Contact
Next
Delete Property Value on Contact
Built with